Recommended update for gstreamer-plugins-bad

SUSE Recommended Update: Recommended update for gstreamer-plugins-bad
Announcement ID: SUSE-RU-2019:0188-1
Rating: moderate
References: #1120299
Affected Products:
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • SUSE Linux Enterprise Module for Desktop Applications 15
  • SUSE Linux Enterprise Module for Basesystem 15

An update that has one recommended fix can now be installed.

Description:

This update for gstreamer-plugins-bad fixes the following issues:

  • Fixes for compatibility with libfdk-aac 2.0.0 (bsc#1120299)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-2019-188=1
  • SUSE Linux Enterprise Module for Desktop Applications 15:
    zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-2019-188=1
  • SUSE Linux Enterprise Module for Basesystem 15:
    zypper in -t patch SUSE-SLE-Module-Basesystem-15-2019-188=1

Package List:

  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (aarch64 ppc64le s390x x86_64):
    • gstreamer-plugins-bad-debuginfo-1.12.5-3.3.1
    • gstreamer-plugins-bad-debugsource-1.12.5-3.3.1
    • gstreamer-plugins-bad-doc-1.12.5-3.3.1
    • libgstvdpau-1.12.5-3.3.1
    • libgstvdpau-debuginfo-1.12.5-3.3.1
  • SUSE Linux Enterprise Module for Desktop Applications 15 (aarch64 ppc64le s390x x86_64):
    • gstreamer-plugins-bad-1.12.5-3.3.1
    • gstreamer-plugins-bad-debuginfo-1.12.5-3.3.1
    • gstreamer-plugins-bad-debugsource-1.12.5-3.3.1
    • gstreamer-plugins-bad-devel-1.12.5-3.3.1
    • libgstadaptivedemux-1_0-0-1.12.5-3.3.1
    • libgstadaptivedemux-1_0-0-debuginfo-1.12.5-3.3.1
    • libgstbadallocators-1_0-0-1.12.5-3.3.1
    • libgstbadallocators-1_0-0-debuginfo-1.12.5-3.3.1
    • libgstbadaudio-1_0-0-1.12.5-3.3.1
    • libgstbadaudio-1_0-0-debuginfo-1.12.5-3.3.1
    • libgstbadbase-1_0-0-1.12.5-3.3.1
    • libgstbadbase-1_0-0-debuginfo-1.12.5-3.3.1
    • libgstbadvideo-1_0-0-1.12.5-3.3.1
    • libgstbadvideo-1_0-0-debuginfo-1.12.5-3.3.1
    • libgstbasecamerabinsrc-1_0-0-1.12.5-3.3.1
    • libgstbasecamerabinsrc-1_0-0-debuginfo-1.12.5-3.3.1
    • libgstcodecparsers-1_0-0-1.12.5-3.3.1
    • libgstcodecparsers-1_0-0-debuginfo-1.12.5-3.3.1
    • libgstinsertbin-1_0-0-1.12.5-3.3.1
    • libgstinsertbin-1_0-0-debuginfo-1.12.5-3.3.1
    • libgstmpegts-1_0-0-1.12.5-3.3.1
    • libgstmpegts-1_0-0-debuginfo-1.12.5-3.3.1
    • libgstplayer-1_0-0-1.12.5-3.3.1
    • libgstplayer-1_0-0-debuginfo-1.12.5-3.3.1
    • libgsturidownloader-1_0-0-1.12.5-3.3.1
    • libgsturidownloader-1_0-0-debuginfo-1.12.5-3.3.1
    • libgstwayland-1_0-0-1.12.5-3.3.1
    • libgstwayland-1_0-0-debuginfo-1.12.5-3.3.1
    • typelib-1_0-GstBadAllocators-1_0-1.12.5-3.3.1
    • typelib-1_0-GstGL-1_0-1.12.5-3.3.1
    • typelib-1_0-GstInsertBin-1_0-1.12.5-3.3.1
    • typelib-1_0-GstMpegts-1_0-1.12.5-3.3.1
    • typelib-1_0-GstPlayer-1_0-1.12.5-3.3.1
  • SUSE Linux Enterprise Module for Desktop Applications 15 (noarch):
    • gstreamer-plugins-bad-lang-1.12.5-3.3.1
  • SUSE Linux Enterprise Module for Basesystem 15 (aarch64 ppc64le s390x x86_64):
    • gstreamer-plugins-bad-debuginfo-1.12.5-3.3.1
    • gstreamer-plugins-bad-debugsource-1.12.5-3.3.1
    • libgstgl-1_0-0-1.12.5-3.3.1
    • libgstgl-1_0-0-debuginfo-1.12.5-3.3.1
    • libgstphotography-1_0-0-1.12.5-3.3.1
    • libgstphotography-1_0-0-debuginfo-1.12.5-3.3.1

References: